OGRE: Ogre::CocoaContext Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::CocoaContext Class Reference

`#include <OgreOSXCocoaContext.h>`

Inheritance diagram for Ogre::CocoaContext:
[legend]

## Public Member Functions
| CocoaContext (NSOpenGLContext *context, NSOpenGLPixelFormat *pixelFormat)
virtual | ~CocoaContext ()
virtual GL3PlusContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. More...
virtual void | endCurrent ()
| This is called before another context is made current. More...
NSOpenGLContext * | getContext ()
| Grab the NSOpenGLContext if it exists. More...
bool | getInitialized ()
NSOpenGLPixelFormat * | getPixelFormat ()
| Grab the NSOpenGLPixelFormat if it exists. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual void | releaseContext ()
| Release the render context. More...
virtual void | setCurrent ()
| See GL3PlusContext. More...
void | setInitialized ()

## Constructor & Destructor Documentation

## ◆ CocoaContext()

Ogre::CocoaContext::CocoaContext | ( | NSOpenGLContext * | context,
|  | NSOpenGLPixelFormat * | pixelFormat
| ) |  |

## ◆ ~CocoaContext()

virtual Ogre::CocoaContext::~CocoaContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

virtual GL3PlusContext* Ogre::CocoaContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

## ◆ endCurrent()

virtual void Ogre::CocoaContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ getContext()

NSOpenGLContext* Ogre::CocoaContext::getContext | ( |  | ) |

Grab the NSOpenGLContext if it exists.

## ◆ getInitialized()

bool Ogre::GL3PlusContext::getInitialized | ( |  | ) |
| inlineinherited

## ◆ getPixelFormat()

NSOpenGLPixelFormat* Ogre::CocoaContext::getPixelFormat | ( |  | ) |

Grab the NSOpenGLPixelFormat if it exists.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ releaseContext()

virtual void Ogre::GL3PlusContext::releaseContext | ( |  | ) |
| inlinevirtualinherited

Release the render context.

Reimplemented in Ogre::Win32Context.

## ◆ setCurrent()

virtual void Ogre::CocoaContext::setCurrent | ( |  | ) |
| virtual

See GL3PlusContext.

Implements Ogre::GL3PlusContext.

## ◆ setInitialized()

void Ogre::GL3PlusContext::setInitialized | ( |  | ) |
| inlineinherited

The documentation for this class was generated from the following file:

- OgreOSXCocoaContext.h